<?php

namespace debug;

use pocketmine\event\Listener;
use pocketmine\plugin\PluginBase;
use pocketmine\utils\Config;
use pocketmine\utils\TextFormat;
use pocketmine\command\Command;
use pocketmine\command\CommandSender;

use debug\DebugShell;

class Main extends PluginBase implements Listener {

    public function onEnable() {
        $this->getServer()->getPluginManager()->registerEvents($this,$this);
	$this->getLogger()->warning("このプラグインを利用する際はLGPLv3ライセンスを確認して下さい。");
    }

    public function onCommand(CommandSender $sender, Command $command, string $label, array $args): bool{
        if ($command->getName() === "debug") {
            if (!isset($args[0])) {
                echo "[ServerDebugger] デバッグShell" . PHP_EOL;
                echo "[ServerDebugger] ヘルプを確認するには\"help\"を入力" . PHP_EOL;
                echo "[ServerDebugger] Shellを終了するには\"exit\"を入力" . PHP_EOL;
                $shell = new DebugShell($this);
                while ($shell instanceof DebugShell) {
                    echo "> ";
                    $cmd = str_replace(PHP_EOL, "", fgets(STDIN));
                    $cmd = explode(" ", $cmd);
                    $code = $shell->execCmd($cmd);
                    if (!$code) {
                        $shell = false;
                    }
                }
            }
        }
        return true;
    }

}